<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text"/>

<xsl:template match="slides">
\documentclass[11pt]{beamer}
\usepackage{amsfonts,graphicx,url}
\usepackage[utf-8]{inputenc}
<xsl:apply-templates select="slidesinfo"/>
\begin{document}
\frame{\maketitle}
<xsl:apply-templates select="foil"/>
\end{document}
</xsl:template>

<xsl:template match="slidesinfo" xml:space="preserve">
\title{<xsl:value-of select="title"/>}
\author{<xsl:value-of select="author/firstname"/> <xsl:value-of select="author/surname"/>}
</xsl:template>

<xsl:template match="foil">
\begin{frame}[fragile]
\frametitle{<xsl:value-of select="title"/>}
<xsl:apply-templates/>
\end{frame}
</xsl:template>

<xsl:template match="foil/title"/>

<xsl:template match="para">
\par
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="itemizedlist">
\begin{itemize}
<xsl:apply-templates/>
\end{itemize}
</xsl:template>

<xsl:template match="listitem">
\item{<xsl:apply-templates/>}
</xsl:template>

<xsl:template match="emphasis">\emph{<xsl:apply-templates/>}</xsl:template>

<xsl:template match="important">
\center{<xsl:apply-templates/>}
</xsl:template>

<xsl:template match="figure/title"/>

<xsl:template match="imagedata">
\includegraphics[width=\linewidth,height=7cm]{<xsl:value-of select="@fileref"/>}
</xsl:template>

<xsl:template match="screen">
\begin{verbatim}
<xsl:apply-templates/>
\end{verbatim}
</xsl:template>

</xsl:stylesheet>
